Bug 93286 - Style name previews shouldn’t be rendered with symbol-encoded fonts
Summary: Style name previews shouldn’t be rendered with symbol-encoded fonts
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.6.2 release
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, topicUI
Depends on:
Blocks: Styles-Preview
  Show dependency treegraph
 
Reported: 2015-08-08 22:22 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-10-17 02:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
sample (9.05 KB, application/vnd.oasis.opendocument.text)
2015-08-08 22:22 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-08-08 22:22:26 UTC
Created attachment 117778 [details]
sample

Steps:
1) Open attached doc
2) Open style drop down menu
3) Notice that 'Webding Test' style name is rendered in the Webdings font and is unreadable in the drop down

This goes back to 4.0 when style name previews were introduced and also affects the style name previews in the sidebar introduced in 5.0.

Version: 5.1.0.0.alpha1+
Build ID: 25534a62b2ba398c6298c6b9e521f20de1087540
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-08-07_14:13:33
Locale: en-US (en_US.UTF-8)
Comment 1 Robinson Tryon (qubit) 2015-12-13 11:24:18 UTC Comment hidden (obsolete)
Comment 2 Xisco Faulí 2017-09-29 08:50:33 UTC Comment hidden (obsolete)
Comment 3 Timur 2017-10-16 15:31:25 UTC
Still in 6.0+. But no explanation why is this wrong behavior and a bug? 
Or: what's the requested expected result?
Comment 4 QA Administrators 2018-10-17 02:49:11 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug